/*
 *  Agent's ALLL 'end of plan' virtual action class
 *
 *  2004 - 2011 Frantisek Zboril jr.
 *  Faculty of Information Technology
 *  zborilf@fit.vutbr.cz
 *  http://www.fit.vutbr.cz/~zborilf
 *
 * (C) Brno University of Technology
 * Freeware licence VUT v Brně
 * https://wis.fit.vutbr.cz/FIT/db/dir.php/dr/VZ2007/externiInformace/softwareNaWebu/Priloha2_rozh23.pdf

 */

package jTMass.core.jAMass.jActions;

import jTMass.*;
import jTMass.core.jAMass.*;
import jTMass.core.jALLL.jTObjects.*;

public class TEOP extends TAction {

    // ===== CLONING =====

    @Override
    public TObject cloneObject(){
        TEOP newEOP=new TEOP();
	return(newEOP);
    }

    // ===== STRING CONTENT READERS =====

        @Override
	public String getContent(){
		return(";");
	}

        @Override
	public String getActionName(){
            return("EOP");
        }

        @Override
	public TObject execute(TAgent agent){
		super.execute(agent);
		TMass._Terminal.printlnDebug("End of plan");
                agent.decreasePlanLevel();
		return(agent.getRegister());
	}

	
	public TEOP(){
		super(TConstants._EndOfPlan);
	}
	
}
